%{

#include <stdlib.h>
#include "calc2gr.tab.h"

%}

%option noyywrap 

%%

"+" {return PLUS;}
"-" {return MINUS;}
"*" {return PER;}
"(" {return '(';}
")" {return ')';}
"=" {return '=';}

"-"?([0-9]|([1-9][0-9]*)) {
  /* a number. 
     About MINUS, rememberthe LONGEST MATCH POLICY */
  yylval.ival = atoi(yytext); 
  return NUMBER;
}
