%{

/* This file differs from ex1gr.y only for the explicit use of some tokens into the
   grammar rules. Please refer to the flex file to see what must be changed at "scanner level"
*/ 

// Directives to the compiler and C declarations
#include <stdio.h>
#define YYERROR_VERBOSE 1

// The lexer
extern int yylex();
extern int yyerror(char *);

%}

// Tokens, given by lexer
%token NUMBER

%%

List
  : Par
    { }
  | Par ',' List
    { }
  ;

Par
  : '(' Par ')' 
    { }
  | '(' Par ')' Par
    { }
  | NUMBER Par
    { }
  | NUMBER
    { }
  ;
  

