/* syntaxTree.c */
#include "syntaxTree.h"
#include <stdlib.h>

stNode *createStNode(char *name){
  stNode *node;
  node = (stNode *)malloc(sizeof(stNode));
  node->name = name;
  node->nChildren = 0;
  node->children = NULL;
  return node;
}

void appendChild(stNode *parent, stNode *chld){
  child *p;
  (parent->nChildren)++;
  p = (child *)malloc(sizeof(child));
  p->next = parent->children;
  parent->children=p;
  p->to = chld;
}

void recursivePP(stNode *root, int ind){
  int i;
  child *p;
  // print indentation
  for(i=0;i<ind;i++)
    printf(" ");
  // print name
  printf("%s ",root->name);	  
  
  // Call the printing function for "external" datum
  if(root->extDat != NULL)
    root->extPrn(root->extDat);
  
  printf("\n");
  p = root->children;
  while(p!=NULL){
    recursivePP(p->to,ind+2);
    p = p->next;
  }
};
