%{

#include <stdlib.h>
#include "calcgr.tab.h"

%}

%option noyywrap 

%%

"+" {return PLUS;}
"*" {return PER;}
"(" {return '(';}
")" {return ')';}
"=" {return '=';}

[0-9]|([1-9][0-9]*) {
  /* a number */
  yylval.ival = atoi(yytext); 
  return NUMBER;
}
