// main file

#include <stdio.h>

// Extern functions and variables
extern int yyparse();
extern FILE *yyin;

//yyerror function
int yyerror(char *s){
  printf("Syntax Error!!!\n");
  fprintf(stderr,"%s\n",s);
  exit(1);
}

// Main function
int main(int argc, char* argv[])
{
  // set the input
  yyin=fopen(argv[1],"r");
  // call the parser
  yyparse();
  return 0;
}
