/* syntaxTree.c */
#include "syntaxTree.h"
#include <stdlib.h>

stNode *createStNode(char *name){
  stNode *node;
  // allocate room in memory
  node = (stNode *)malloc(sizeof(stNode));
  // update name
  node->name = name;
  node->nChildren = 0;
  node->children = NULL;
  return node;
}

void appendChild(stNode *parent, stNode *chld){
  child *p;
  // increment number of children
  (parent->nChildren)++;
  // allocate room for the new child into the list of children
  p = (child *)malloc(sizeof(child));
  // append the new child at the head of the list
  p->next = parent->children;
  parent->children=p;
  // update field "to"
  p->to = chld;
}

void recursivePP(stNode *root, int ind){
  int i;
  child *p;
  // print indentation
  for(i=0;i<ind;i++)
    printf(" ");
  // print name
  printf("%s\n",root->name);	  
  p = root->children;
  while(p!=NULL){
    recursivePP(p->to,ind+2);
    p = p->next;
  }
};
