// main file
#include "../lib/syntaxTree.h"
#include <stdio.h>

// Extern functions and variables
extern int yyparse();
extern FILE *yyin;

//yyerror function
int yyerror(char *s){
  printf("Syntax Error!!!\n");
  fprintf(stderr,"%s\n",s);
  exit(1);
}

// syntax tree as global variable
stNode *tree;

// Main function
int main(int argc, char* argv[])
{
  // set the input
  yyin=fopen(argv[1],"r");
  // call the parser
  yyparse();
  // print the tree
  recursivePP(tree, 0);
  return 0;
}
